Package com.google.protobuf

# Class DescriptorProtos.FeatureSetDefaults.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>
com.google.protobuf.DescriptorProtos.FeatureSetDefaults.Builder

All Implemented Interfaces:
  `DescriptorProtos.FeatureSetDefaultsOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.FeatureSetDefaults`

public static final class DescriptorProtos.FeatureSetDefaults.Builder extends GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder> implements DescriptorProtos.FeatureSetDefaultsOrBuilder
Protobuf type `google.protobuf.FeatureSetDefaults`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FeatureSetDefaults.Builder`
`addAllDefaults(Iterable<? extends DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault> values)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`addDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault value)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`addDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder builderForValue)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`addDefaults(DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault value)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`addDefaults(DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder builderForValue)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`addDefaultsBuilder()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`addDefaultsBuilder(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.FeatureSetDefaults`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.FeatureSetDefaults.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.FeatureSetDefaults.Builder`
`clearDefaults()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`clearMaximumEdition()`
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`clearMinimumEdition()`
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`
`DescriptorProtos.FeatureSetDefaults`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault`
`getDefaults(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder`
`getDefaultsBuilder(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`List<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder>`
`getDefaultsBuilderList()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`int`
`getDefaultsCount()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`List<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault>`
`getDefaultsList()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder`
`getDefaultsOrBuilder(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`List<? extends DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder>`
`getDefaultsOrBuilderList()`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.Edition`
`getMaximumEdition()`
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`
`DescriptorProtos.Edition`
`getMinimumEdition()`
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`
`boolean`
`hasMaximumEdition()`
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`
`boolean`
`hasMinimumEdition()`
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.FeatureSetDefaults.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.FeatureSetDefaults.Builder`
`mergeFrom(DescriptorProtos.FeatureSetDefaults other)`
`DescriptorProtos.FeatureSetDefaults.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.FeatureSetDefaults.Builder`
`removeDefaults(int index)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`setDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault value)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`setDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder builderForValue)`
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`setMaximumEdition(DescriptorProtos.Edition value)`
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`
`DescriptorProtos.FeatureSetDefaults.Builder`
`setMinimumEdition(DescriptorProtos.Edition value)`
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>`

### clear

public DescriptorProtos.FeatureSetDefaults.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.FeatureSetDefaults getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.FeatureSetDefaults build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.FeatureSetDefaults buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.FeatureSetDefaults.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>`

### mergeFrom

public DescriptorProtos.FeatureSetDefaults.Builder mergeFrom(DescriptorProtos.FeatureSetDefaults other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>`

### mergeFrom

public DescriptorProtos.FeatureSetDefaults.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FeatureSetDefaults.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getDefaultsList

public List<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault> getDefaultsList()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

Specified by:
  `getDefaultsList` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`

### getDefaultsCount

public int getDefaultsCount()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

Specified by:
  `getDefaultsCount` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`

### getDefaults

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault getDefaults(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

Specified by:
  `getDefaults` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`

### setDefaults

public DescriptorProtos.FeatureSetDefaults.Builder setDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault value)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### setDefaults

public DescriptorProtos.FeatureSetDefaults.Builder setDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder builderForValue)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### addDefaults

public DescriptorProtos.FeatureSetDefaults.Builder addDefaults(DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault value)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### addDefaults

public DescriptorProtos.FeatureSetDefaults.Builder addDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault value)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### addDefaults

public DescriptorProtos.FeatureSetDefaults.Builder addDefaults(DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder builderForValue)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### addDefaults

public DescriptorProtos.FeatureSetDefaults.Builder addDefaults(int index, DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder builderForValue)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### addAllDefaults

public DescriptorProtos.FeatureSetDefaults.Builder addAllDefaults(Iterable<? extends DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault> values)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### clearDefaults

public DescriptorProtos.FeatureSetDefaults.Builder clearDefaults()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### removeDefaults

public DescriptorProtos.FeatureSetDefaults.Builder removeDefaults(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaultsBuilder

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder getDefaultsBuilder(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaultsOrBuilder

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder getDefaultsOrBuilder(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

Specified by:
  `getDefaultsOrBuilder` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`

### getDefaultsOrBuilderList

public List<? extends DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefaultOrBuilder> getDefaultsOrBuilderList()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

Specified by:
  `getDefaultsOrBuilderList` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`

### addDefaultsBuilder

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder addDefaultsBuilder()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### addDefaultsBuilder

public DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder addDefaultsBuilder(int index)
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### getDefaultsBuilderList

public List<DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault.Builder> getDefaultsBuilderList()
`repeated .google.protobuf.FeatureSetDefaults.FeatureSetEditionDefault defaults = 1 [json_name = "defaults"];`

### hasMinimumEdition

public boolean hasMinimumEdition()
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

Specified by:
  `hasMinimumEdition` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`
Returns:
  Whether the minimumEdition field is set.

### getMinimumEdition

public DescriptorProtos.Edition getMinimumEdition()
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

Specified by:
  `getMinimumEdition` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`
Returns:
  The minimumEdition.

### setMinimumEdition

public DescriptorProtos.FeatureSetDefaults.Builder setMinimumEdition(DescriptorProtos.Edition value)
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

Parameters:
  `value` - The minimumEdition to set.
Returns:
  This builder for chaining.

### clearMinimumEdition

public DescriptorProtos.FeatureSetDefaults.Builder clearMinimumEdition()
`optional .google.protobuf.Edition minimum_edition = 4 [json_name = "minimumEdition"];`

Returns:
  This builder for chaining.

### hasMaximumEdition

public boolean hasMaximumEdition()
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`

Specified by:
  `hasMaximumEdition` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`
Returns:
  Whether the maximumEdition field is set.

### getMaximumEdition

public DescriptorProtos.Edition getMaximumEdition()
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`

Specified by:
  `getMaximumEdition` in interface `DescriptorProtos.FeatureSetDefaultsOrBuilder`
Returns:
  The maximumEdition.

### setMaximumEdition

public DescriptorProtos.FeatureSetDefaults.Builder setMaximumEdition(DescriptorProtos.Edition value)
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`

Parameters:
  `value` - The maximumEdition to set.
Returns:
  This builder for chaining.

### clearMaximumEdition

public DescriptorProtos.FeatureSetDefaults.Builder clearMaximumEdition()
`optional .google.protobuf.Edition maximum_edition = 5 [json_name = "maximumEdition"];`

Returns:
  This builder for chaining.